signond (8.61nicofee20231222-0neon) UNRELEASED; urgency=medium

  * Nico port

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 22 Feb 2024 14:11:33 +0000

signond (8.61-1) unstable; urgency=medium

  * Team upload.
  * Update standards version to 4.6.0, no changes needed.
  * Update the patches:
    - drop_qt_tags_tagfiles.diff: refresh
    - fix_broken_test_with_qt5.15.diff: drop, backported from upstream
    - remove-unnecessary-qmake-options.diff: drop, backported from upstream
    - dont-use-no-rtti.diff: drop, backported from upstream
  * Update symbols files. (Closes: #997439)
  * Stop specifying a build directory, use the default one.
  * Stop passing a custom QMAKE_CXXFLAGS to qmake, as it is already properly
    set by dh_auto_configure.
  * Limit the dh_gencontrol override to indep packages, as the added substvar
    is in arch:all packages only.
  * Remove the bits from debian/tmp during the dh_auto_install phase, rather
    than the dh_install one.
  * Use the execute_after_* hooks to avoid invoking dh_* manually.
  * Execute dh_doxygen only for indep packages.
  * Stop exporting NO_DOCS in rules, as it is not used anymore.
  * Use dpkg-query to get the version of doxygen, and turn the query as lazy.

 -- Pino Toscano <pino@debian.org>  Fri, 11 Mar 2022 23:02:33 +0100

signond (8.60-4) unstable; urgency=medium

  * Team upload.
  * signon-plugins-dev: bump to 8.60~ the version of the signond-dev
    breaks/replaces. (Closes: #974049)

 -- Pino Toscano <pino@debian.org>  Mon, 09 Nov 2020 17:42:11 +0100

signond (8.60-3) unstable; urgency=medium

  * Team upload.
  * Use pkgkde-symbolshelper to ease symbols files handling:
    - use the pkgkde_symbolshelper dh addon
    - drop specific symbols files for armel, and armhf
    - update symbols files
  * Remove the wrong Multi-Arch: same fields from signon-plugin-password,
    signon-plugin-ssotest, and signond-dev, as they depend on signond which
    cannot be Multi-Arch: same.
  * Remove non-existing files from debian/not-installed.
  * Set upstream metadata fields: Bug-Submit.
  * Stop passing --fail-missing to dh_missing, as it is the default in
    debhelper compatibility 13+.
  * Use the proper variable for the multiarch library directory, i.e.
    $(DEB_HOST_MULTIARCH) instead of $(DEB_HOST_GNU_TYPE); fixes the library
    installation on any-i386 architectures.
  * Remove unused install files.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Nov 2020 13:12:43 +0100

signond (8.60-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add specific symbols files for armel and armhf.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libsignon-plugins-doc, libsignon-qt-doc, signond-doc: Add Multi-Arch:
      foreign.
    + libsignon-qt5-dev, signon-plugin-password, signon-plugin-ssotest,
      signon-plugins-dev, signond-dev: Add Multi-Arch: same.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Nov 2020 22:57:50 +0100

signond (8.60-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update VCS entries. (Closes: #920884)
  * Update watch file with correct url.
  * New upstream release (8.60). (Closes: #911611)
  * Add salsa ci config file.
  * Remove unnecessary --parallel from rules.
    - Parallel is default since debhelper 10, removed flag.
    - Move dh call to before overrides.
  * Add dh_missing
    - Add override with fail-missing flag, libraries tend to change names.
  * Remove obsolete --fail-missing from dh_install.
  * Refresh install files.
    - Update signond-dev with removed files.
    - wrap-and-sort -bt.
  * Switch to debhelper-compat.
    - Switch dependency to debhelper-compat 13.
    - Remove debian/compat.
  * Add myself to uploaders.
  * Refresh copyright file.
    - Refresh dates.
    - Remove COPYING license entry.
    - Remove unused entry for lgpl-2.1+.
    - Add myself to debian/* copyright.
  * Move signon-plugins-common SO symlink to the correct package.
    - Move from signon-dev to signon-plugins-dev.
    - Update install files.
    - Add breaks/Replace for move.
    - wrap-and-sort.
  * Refresh symbols files.
    - Update symbols with pkgkde-symbolshelper:
      libsignon-extension1,
      libsignon-plugins-common: Removed optional MISSING,
      libsignon-qt5-1.
    - Add Build-Depends-Package with the corresponding -dev package.
  * Add hardening+=bindnow to rules to resolve lintian error.
  * Enable tests again.
  * Use DEB_HOST_GNU_TYPE to properly refer to the build directory, instead of
    DEB_HOST_MULTIARCH
    - use /usr/share/dpkg/architecture.mk to get it
  * Bump standards version to 4.5.0; no changes.
  * Remove maxy from uploaders as requested in IRC.
  * Update Maintainer to debian kde team.
  * Add Rules-Requires-Root field to d/control.
  * Attempt to fix build path ( reproducible ) by turning off
    debug output.
  * Remove no longer needed LDFLAGS export --as-needed as it is
    now default.
  * Switch to +=all hardening options.
  * Add upstream/metadata with basic info.

  [ Aurélien COUDERC ]
  * Replace dbus-launch with dbus-test-runner / dbus-run-session.
    (Closes: #836299)
  * Cherry pick upstream patches fixing test failures with Qt 5.15.
  * Refresh symbols files.
  * Add lintian overrides for signond and signonpluginprocess not having
    manpages, they don’t have command line arguments.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Nov 2020 14:18:12 +0100

signond (8.59-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file from logs of buildds. (Closes: #865797)
  * Do not set DPKG_GENSYMBOLS_CHECK_LEVEL=4 in rules, as it is way too strict.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Update lintian overrides.
  * Remove trailing whitespaces in changelog.
  * Use https for Format in copyright.
  * Do not install README.md, and TODO as documentation in libsignon-qt5-dev:
    the former is not useful in that package, and the latter is empty.
  * Remove unused libssl-dev, and qtchooser build dependencies.
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Mon, 07 May 2018 06:25:18 +0200

signond (8.59-1) unstable; urgency=medium

  [ Diane Trout ]
  * Update watch file for newest tags.
    This is going to be fragile, there are too many
    pages of tags, hopefully they'll be consistent now.
  * Update Standards-Version to 3.9.8.0. No changes needed.
  * Update debian/docs for renamed README.md
  * New upstream release.
  * Upstream no longer supports Qt4, so stop building Qt4 packages.
  * Unit Tests don't work, disable running them for the moment.
  * update symbols file
  * Remove qt4 library symbols file.

  [ Scott Kitterman ]
  * Fix FTBFS when building just architecture independent packages by making
    the  dh_auto_install override apply only to archicture dependent packages
    (Closes: #806107)

  [ Maximiliano Curia ]
  * Add new patch: drop_qt_tags_tagfiles.diff

 -- Scott Kitterman <scott@kitterman.com>  Fri, 24 Jun 2016 08:20:35 -0400

signond (8.57+20150423-3) unstable; urgency=medium

  * Symbols updates for several architectures.

 -- Diane Trout <diane@debian.org>  Fri, 16 Oct 2015 23:58:52 -0700

signond (8.57+20150423-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on arch dependent package builds by limiting dh_doxygen to arch
    all packages

 -- Scott Kitterman <scott@kitterman.com>  Thu, 15 Oct 2015 08:02:40 -0400

signond (8.57+20150423-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Prepare Debian release. (8.57+20150423)
  * Update copyright information.

  [ Diane Trout ]
  * Add Built-Using tag for doxygen generated jquery.js
  * Override lintian warnings about Doxygen generated jquery.js
  * Remove source files generated by qdbusxml2cpp
    (src/signond/backupifactor.*)
  * Add myself to uploaders.
  * Add symbols files for libsignon-extension1, libsignon-plugins-common1,
    libsignon-qt1 and libsignon-qt5-1
  * Add doc-base registration for signond-doc, libsignon-qt-doc, and
    libsignon-plugins-doc,
  * use dh_doxygen to cleanup documentation packages.
  * Use debian-qt-kde.mk from pkg-kde-tools to provide -Wl,--as-needed
  * Remove ${shlib:Depends} from -dev packages as it's never defined.

 -- Diane Trout <diane@debian.org>  Wed, 09 Sep 2015 14:53:33 -0700

signon (8.57+15.04.20150204.1-0ubuntu1) vivid; urgency=medium

  [ Alberto Mardegan ]
  * Enable P2P D-Bus connections (LP: #1415492)
  * Add missing build dependency on libdbus-1-dev

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Feb 2015 10:39:42 +0000

signon (8.57+15.04.20141127.1-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Alberto Mardegan ]
  * Merge from upstream

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Nov 2014 10:53:16 +0000

signon (8.57+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Alberto Mardegan ]
  * Sync from upstream

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 07:57:09 +0000

signon (8.57+14.10.20140912-0ubuntu1) utopic; urgency=low

  [ Alberto Mardegan ]
  * Fix signon-plugins-dev dependencies

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Sep 2014 07:33:49 +0000

signon (8.57+14.10.20140827-0ubuntu1) utopic; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Build: add CMake config files for Qt5
    - Tests: make database test more robust
    - signond: notify clients of credentials updates
    - signond: fix passing of DBus maps to plugins
    - lib: don't emit a critical warning on p2p socket failure
    - lib/plugins: do not build a static library

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 27 Aug 2014 15:34:55 +0000

signon (8.56+14.04.20140307-0ubuntu3) utopic; urgency=medium

  * Changes to enable reverse-deps to be cross-built, since cross-pkg-config
    no longer looks in /usr/lib/pkgconfig for pcfiles. (LP: #1316667)
  * Install into Multi-Arch directories and set M-A: Same on library packages.

 -- Iain Lane <iain.lane@canonical.com>  Thu, 08 May 2014 10:58:12 +0100

signon (8.56+14.04.20140307-0ubuntu2) trusty; urgency=medium

  * In debian/rules move qt4 cmake files to not clash with qt5 cmake files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 16 Mar 2014 19:35:02 +0000

signon (8.56+14.04.20140307-0ubuntu1) trusty; urgency=medium

  [ Alberto Mardegan ]
  * New upstream release
    - Make it easier to use with CMake by adding a Config*.cmake files
      This allow applications using cmake to do:
      find_package(SignOnQt 8.55 REQUIRED)
    - signond: don't attempt demarshalling an invalid QVariant
  * Fix tests for Qt 5.2 Merge from upstream. (LP: #1156776, #1258578,
    #1267805, #1237782)

  [ CI bot ]
  * No change rebuild against Qt 5.2.1.

  [ Timo Jyrinki ]
  * Drop quilt usage as recommended for daily release packages.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Mar 2014 10:35:52 +0000

signon (8.55+14.04.20131212-0ubuntu1) trusty; urgency=low

  [ Alberto Mardegan ]
  * Do not use qDeleteAll() on the QObject's children. (LP: #1156776,
    #1258578, #1237782)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 609

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Dec 2013 21:41:01 +0000

signon (8.55+14.04.20131127-0ubuntu1) trusty; urgency=low

  [ Alberto Mardegan ]
  * New pull from upstream
    - Increate tiemout in authsession test
    - signond: on idle timeout, directly delete all AuthSessions (should fix
      a race condition which makes a test fail)
    - signond: avoid rewriting password with empty string
    - signond: fix a crash when destroying authentication sessions
  * debian/control
    - Remove signon-keyring-extension from Recommends field
  * New upstream version
    - Preserve value of IdentityInfo::storeSecret
      Fixes: http://code.google.com/p/accounts-sso/issues/detail?id=210
    - Build speedup: reduce usage of CONFIG+=ordered
    - Use any available extension plugins, unless one is explicitly
      configured.
    - Unregister the identity on disposable timeout (fixes a race condition).
  * debian/rules
    - Remove architecture-specific patches (LP: #1237782)
  * debian/patches
    - Remove all patches (no longer needed, given the upstream changes)

  [ Ken VanDine ]
  * revert quilt simplification, it didn't work in the PPA build for
    armhf.

  [ Robert Bruce Park ]
  * Simplify quilt overrides.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 607

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 27 Nov 2013 17:33:09 +0000

signon (8.54+13.10.20130918.1-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * New upstream release.
    - lib: set timeout for D-Bus calls to INT_MAX (LP: #1220823)
  * debian/patches/use_apparmor.patch
    - Use the signon-apparmor-extension when available.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 599

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 18 Sep 2013 18:07:59 +0000

signon (8.53+13.10.20130826-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * New upstream release.
    - API/ABI break in libsignon-extension.so which will affect extensions
      providing an implementation of the AbstractAccessControlManager (we are
      aware of Ubuntu's apparmor extension only, which is still in early
      developments)
    - Revamp of unit tests; in particular, installation of tests is untested
      and probably needs some fixes. Patches are welcome, and will be
      incorporated with the next release.
    - Support for peer-to-peer connections
    - Extend the AbstractAccessControlManager interface to provide an
      asynchronous method to process access control requests, via the new
      AccessRequest / AccessReply classes.
    - Fix a memory leak and a crash at exit
    - Show pid of signonpluginprocess in syslog
    - Tests: fix for out-of-tree builds
    - Tests: do not build "untrusted" tests
    - Tests: add access control tests
    - signond: create AccessRequests when AC is denied
    - signond: allow overriding config dir
    - signond: empty ACL means "no access"
    - Remove unmaintained MSSF and SMACK AC extensions
    - Support exchanging recursive QVariantMaps between signond and the
      plugins

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 597

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Aug 2013 18:07:15 +0000

signon (8.52+13.10.20130815-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * debian/rules
    - Specify qt5 build directory for all default debhelper scripts. This
      makes the tests run again (on the qt5 build only).

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 595

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 15 Aug 2013 14:33:22 +0000

signon (8.52+13.10.20130701-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 593

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 01 Jul 2013 04:31:07 +0000

signon (8.52+13.10.20130630-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 592

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 30 Jun 2013 04:31:08 +0000

signon (8.52+13.10.20130629-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 591

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 29 Jun 2013 04:31:08 +0000

signon (8.52+13.10.20130628-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 590

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 04:31:10 +0000

signon (8.52+13.10.20130627-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 589

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 27 Jun 2013 04:31:09 +0000

signon (8.52+13.10.20130626-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 588

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 26 Jun 2013 04:31:09 +0000

signon (8.52daily13.06.25-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 587

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Jun 2013 04:31:09 +0000

signon (8.52daily13.06.18-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 586

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Jun 2013 04:31:58 +0000

signon (8.52daily13.06.17-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 585

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Jun 2013 04:32:12 +0000

signon (8.52daily13.06.16-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 584

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 16 Jun 2013 04:32:02 +0000

signon (8.52daily13.06.15-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 583

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 15 Jun 2013 04:32:12 +0000

signon (8.52daily13.06.14-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 582

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Jun 2013 04:32:11 +0000

signon (8.52daily13.06.13-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 581

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Jun 2013 04:32:10 +0000

signon (8.52daily13.06.12-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * New upstream release.
    - Bunch of micro optimizations, closer following of Qt coding style
    - lib: allow storing a record with empty username and password
    - Make the dbus .service files content relative to INSTALL_PREFIX
    - signond: emit signals before returning a reply

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 580

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Jun 2013 04:32:06 +0000

signon (8.52~daily13.06.05.1-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Version bump

  [ Alberto Mardegan ]
  * signond: emit signals before returning a reply.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 578

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Jun 2013 18:49:16 +0000

signon (8.51bzr13.04.26daily13.05.29ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 576 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 29 May 2013 07:02:02 +0000

signon (8.51bzr13.04.26daily13.05.24ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 575 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 24 May 2013 07:01:37 +0000

signon (8.51bzr13.04.26daily13.05.23ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 574 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 23 May 2013 07:01:19 +0000

signon (8.51bzr13.04.26daily13.05.21ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 573 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 21 May 2013 17:51:13 +0000

signon (8.51bzr13.04.26daily13.05.14.1ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 572 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 14 May 2013 15:59:51 +0000

signon (8.51bzr13.04.26daily13.05.14ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 571 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 14 May 2013 13:50:50 +0000

signon (8.51bzr13.04.26daily13.05.03ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 570 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 03 May 2013 23:16:19 +0000

signon (8.51bzr13.04.26daily13.05.02.1ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 568 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 May 2013 20:48:14 +0000

signon (8.51bzr13.04.26daily13.05.02ubuntu.unity.next-0ubuntu2) UNRELEASED; urgency=low

  * debian/rules
    - Don't apply use_keyring.patch for armhf
  * debian/control
    - build depend on quilt

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 02 May 2013 09:33:39 -0700

signon (8.51bzr13.04.26daily13.05.02ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 567 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 May 2013 07:36:34 +0000

signon (8.51bzr13.04.26daily13.05.01.2ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 560 (bootstrap)

  [ Alberto Mardegan ]
  * New upstream release.
    - IdentityInfo::secret() and setId() are now public
      http://code.google.com/p/accounts-sso/issues/detail?id=177
    - Install the IdentityInfo header file
    - Allow to install tests
    - pluginproxytest: link with rpath set

  [ Ken VanDine ]
  * Default to Qt5 build
    - Updated depends for Qt5 built packages

  [ Alberto Mardegan ]
  * New upstream release.
    - Qt5: fix SignonExtension.pc (when building with Qt5, SignonExtension.pc
      was still requiring QtCore).
    - Inform signon-ui of identity removals and signouts.
    - libsignon-qt: implement ACL retrieval
      http://code.google.com/p/accounts-sso/issues/detail?id=178
  * signon-plugin-oauth2-0.15 fails to build (LP: #1156776)

  [ Alberto Mardegan <alberto.mardegan@canonical.com>, Martin Kampas ]
  * signon-plugin-oauth2-0.15 fails to build (LP: #1156776)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 565 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 01 May 2013 15:32:56 +0000

signon (8.51bzr13.04.26daily13.05.01.1ubuntu.unity.next-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 560 (bootstrap)

  [ Alberto Mardegan ]
  * New upstream release.
    - IdentityInfo::secret() and setId() are now public
      http://code.google.com/p/accounts-sso/issues/detail?id=177
    - Install the IdentityInfo header file
    - Allow to install tests
    - pluginproxytest: link with rpath set

  [ Ken VanDine ]
  * Default to Qt5 build
    - Updated depends for Qt5 built packages

  [ Alberto Mardegan ]
  * New upstream release.
    - Qt5: fix SignonExtension.pc (when building with Qt5, SignonExtension.pc
      was still requiring QtCore).
    - Inform signon-ui of identity removals and signouts.
    - libsignon-qt: implement ACL retrieval
      http://code.google.com/p/accounts-sso/issues/detail?id=178
  * signon-plugin-oauth2-0.15 fails to build (LP: #1156776)

  [ Alberto Mardegan <alberto.mardegan@canonical.com>, Martin Kampas ]
  * signon-plugin-oauth2-0.15 fails to build (LP: #1156776)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 565 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 01 May 2013 07:51:13 +0000

signon (8.49-0ubuntu2) raring; urgency=low

  * debian/rules, debian/signon-plugins-dev.install
    - Install the libsignon-plugins.a file (LP: #1156776)

 -- Alberto Mardegan <alberto.mardegan@canonical.com>  Tue, 26 Mar 2013 16:06:25 +0200

signon (8.49-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Do not force Qt5 into signon plugins (LP: #1156776)
    - Remove obsolete .prf files

 -- Alberto Mardegan <alberto.mardegan@canonical.com>  Tue, 19 Mar 2013 17:05:21 +0200

signon (8.48-0ubuntu1) raring; urgency=low

  [ Robert Bruce Park ]
  * Inline packaging metadata.

  [ Alberto Mardegan ]
  * New upstream release.
    - Fix Qt5 build and pkgconfig files
    - Fix docs build for out of tree builds
    - Signond: Add DaemonTimeout configuration option
    - Log only critical errors

 -- Alberto Mardegan <alberto.mardegan@canonical.com>  Fri, 01 Mar 2013 09:21:51 +0200

signon (8.46-0ubuntu3) raring; urgency=low

  * debian/rules
    - dual build for qt4 and qt5
  * debian/control
    - add new binaries for qt5 builds, libsignon-qt5-1 and libsignon-qt5-dev
    - add build depends for qt5 builds
    - updated build depends to handle armel/armhf and gles2
  * debian/patches/daemon_timeout.patch
    - bump up the timeouts
  * debian/patches/qt5_pkgconfig.patch
    - Qt5 pkgconfig fixes
  * debian/patches/build_dir.patch
    - honor BUILD_DIR
  * debian/patches/qt5.patch
    - Do not instantiate Error before Q_DECLARE_METATYPE
  * debian/patches/doc_out_of_tree_build.patch
    - Fix out of tree builds for docs

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 27 Feb 2013 15:55:03 -0500

signon (8.46-0ubuntu2) raring; urgency=low

  * debian/patches/daemon_timeout.patch
    - Added configuration for DaemonTimeout so signond exits after a specified
      period of inactivity (default is 5 seconds).

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 01 Feb 2013 10:59:28 -0500

signon (8.46-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Fix out-of-tree builds.
    - Signond: fix cancellation of idle requests.
  * -debian/patches/armhf_ftbfs.patch: upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 18 Jan 2013 09:21:15 -0500

signon (8.45-0ubuntu3) raring; urgency=low

  * debian/patches/armhf_ftbfs.patch
    - Merged another commit from upstream which should fix the FTBFS on armhf

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Jan 2013 09:45:28 -0500

signon (8.45-0ubuntu2) raring; urgency=low

  * debian/patches/armhf_ftbfs.patch
    - Upstream patch that cleans up some cancelKey code that was causing a
      FTBFS on armhf

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 14 Jan 2013 12:22:21 -0500

signon (8.45-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Fix an error in the proxy resolver (LP: #1095254)
    - Fix version in pkg-config files.
    - Limit plugin logging according to the debug level.

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 10 Jan 2013 10:24:29 -0500

signon (8.44-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/libsignon-qt-dev.install, debian/signond.install
    - removed files no longer included
  * debian/03_migrate_signon, debian/signond.migrations, debian/rules
    - added session-migration hooks for moving the signon DB from
      $HOME/.signon to $HOME/.config/signond/

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 09 Nov 2012 10:30:36 -0500

signon (8.43-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Fixed proxy support (LP: #1048590)
  * debian/control
    - build depend on libproxy-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 19 Sep 2012 15:03:25 -0400

signon (8.42-0ubuntu2) quantal; urgency=low

  * debian/patches/logging.patch
    - Don't log debug info, use the default of logging only
      criticals (LP: #1049949)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 12 Sep 2012 14:19:23 -0400

signon (8.42-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - fixed caching of credentials when the secrets DB is offline

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 07 Sep 2012 09:31:46 -0400

signon (8.41-0ubuntu3) quantal; urgency=low

  * debian/control
    - Added libqt4-sql-sqlite build depends, needed for the tests
  * debian/rules
    - re-enable the tests

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 07 Aug 2012 11:30:49 -0400

signon (8.41-0ubuntu2) quantal; urgency=low

  * debian/control
    - debhelper 9
    - drop requires for gcc-4.6
    - renamed signon-passwordplugin to signon-plugin-password and added
      Breaks, Replaces, and Conflicts
    - Added a new binary for signon-plugin-ssotest which is required
      for libsignon-glib's test suite
    - Removed useless signon-plugins metapackage

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 26 Jul 2012 14:51:54 -0400

signon (8.41-0ubuntu1) quantal; urgency=low

  * New package
  * debian/patches/use_keyring.patch
    - For Ubuntu we want to use the keyring for storage, so override the
      default

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 26 Jul 2012 10:45:16 -0400
